# Data Stores — Reinforcement Learning Coach 0.12.0 documentation

# Data Stores

## S3DataStore

class `rl_coach.data_stores.s3_data_store.``S3DataStore`(params: rl_coach.data_stores.s3_data_store.S3DataStoreParameters)

  An implementation of the data store using S3 for storing policy checkpoints when using Coach in distributed mode. The policy checkpoints are written by the trainer and read by the rollout worker.

  Parameters

    params – The parameters required to use the S3 data store.

## NFSDataStore

class `rl_coach.data_stores.nfs_data_store.``NFSDataStore`(params: rl_coach.data_stores.nfs_data_store.NFSDataStoreParameters)

  An implementation of data store which uses NFS for storing policy checkpoints when using Coach in distributed mode. The policy checkpoints are written by the trainer and read by the rollout worker.

  Parameters

    params – The parameters required to use the NFS data store.